# nodeajax 中的 cookie

nodeajax 提供了一个前端组件可视化控制 ajax 的多种响应结果，node 代码中可通过 `req.cookies.NODEAJAX` 获取控制所有响应结果的配置。 `req.cookies._` 和 `req.cookies.NODEAJAX_THIS` 获取当前 url 响应结果的配置。

> 对于普通使用者：在 node 中使用 `$.ajax(settings).done()` `$.ajax(settings).fail()` **配置**响应结果， 在浏览器中配置 `_DEV` 变量和引入 `<script src="/_" >` 可视化**控制**响应结果



还可以参数中的 `_` 临时性控制返回结果。

```
$.get('/ajax/', {
	_: "error"
})
```

