'use strict'
                                                                        /*
   .- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -.
   '                 The Web Develop Mock Server!                  '
   '- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -'
   '                       _                   _                   '
   '   _   _              | |                 (_)                  '
   '  | \ | |   ___     __| |   ___    ____    _    ____  __  __   '
   '  |  \| |  / _ \   / _  |  / _ \  / _  |  | |  / _  | \ \/ /   '
   '  | |\  | | (_) | | (_| | |  __/ | (_| |  | | | (_| |  )  (    '
   '  |_| \_|  \___/   \____|  \___|  \____|  | |  \____| /_/\_\   '
   '                                         _/ |                  '
   '                                        |__/                   '
   '- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -'
    Docs - 文档         : http://www.nodeajax.org/docs/
    Example - 示例      : http://nodeajax.nimojs.com
    Community - 社区    : https://github.com/nodeajax/nodeajax/issues/new
    Github             : https://github.com/nodeajax/nodeajax
    Contact - 联系作者  : nimo.jser[at]gmail.com http://weibo.com/nimojs    
                                                                        */

var ajax = require('./src/ajax')
// 此时并没有指定 module.exports 就 require 一些模块，在这些模块中需要在运行时重新获取本模块
// file: ajax.js
/*
    var $ = require('../index') // 返回空对象 {}
    var ajax = function () {
    var $ = require('../index') // 返回 存在内容的对象{...}
    }
*/
var Mock = require('./src/mock')
var _ = require('underscore')
var doc = require('./src/doc')


module.exports = {
    run: require('./src/init'),
    ajax: ajax.ajax,
    get: ajax.get,
    post: ajax.post,
    page: require('./src/page'),
    handle: require('./src/controller').handle,
    doc: doc.doc,
    heredoc: Mock.heredoc,
    Random: Mock.Random,
    Handlebars: require('handlebars'),
    _: _,
    extend: require('extend'),
    handlers: require('./src/controller').handlers,
    
    config: {},
    app: require('express')(),
    _cwd: process.cwd(),
    // 用于存放配置代码错误信息
    _errorStack: [],
    _data: {
        // 储存生成文档的 HTML
        doc_html: null,
        // 记录 $.page 添加的页面，最终在 dashboard 展示
        pages: []
    }
}
