'use strict'
var colors = require('colors')
var cookieParser = require('cookie-parser')
var bodyParser = require('body-parser')
var controller = require('./controller')
var _util = require('./util')
var route = require('./route')
var http = require('http')
var $ = require('../index')
var path = require('path');
var extend = require('extend')

module.exports = function () {
    var server
    $.app.use(cookieParser())
         .use(bodyParser.urlencoded({extended: false}))
         .use(bodyParser.json())
         // 检查_errorStack
         .use(function (req, res, next) {
            next()
         })
         // 提取 在浏览器中可视化操作的 cookie
         .use(function (req, res, next) {
            var type = req.xhr ? 'ajax' : 'page'
            var oThisControlCookie

            if (req.cookies.nodeajax) {
              req.cookies.nodeajax = JSON.parse(req.cookies.nodeajax)
            } else {
              req.cookies.nodeajax = {};
            }
            
            next()
        })
        .use($.config.connect)
        .use(route)

        server =  http.createServer($.app).listen($.config.port)

        // @todo
        // 判断 port 是否被占用

    // http://www.network-science.de/ascii/ tinker-toy
    console.log('  ' + $.heredoc(function(){/*
  .- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -.
  '                 The Web Develop Mock Server!                  '
  '- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -'
  '                       _                   _                   '
  '   _   _              | |                 (_)                  '
  '  | \ | |   ___     __| |   ___    ____    _    ____  __  __   '
  '  |  \| |  / _ \   / _  |  / _ \  / _  |  | |  / _  | \ \/ /   '
  '  | |\  | | (_) | | (_| | |  __/ | (_| |  | | | (_| |  )  (    '
  '  |_| \_|  \___/   \____|  \___|  \____|  | |  \____| /_/\_\   '
  '                                         _/ |                  '
  '                                        |__/                   '
  '- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -'
    */}).gray)
    console.log(('  Running at http://127.0.0.1:' + $.config.port).cyan);
}
